catalog:
  title: Ros Non Persistent Voxel

templates:
- github
- catkin
- base
- patches

variables:
  description: ROS drop in replacement to the voxel layer which does not persist readings through iterations when ray tracing or map maintenance is undesirable

  recipe.maintainer:
  - lruegeme@techfak.uni-bielefeld.de

  github.user: SteveMacenski
  github.project: nonpersistent_voxel_layer
  branches:
  - kinetic-devel
  - melodic-devel

versions:
- name: melodic-devel-c9481
  variables:
    branch: c9481ef25b170a83f3e18c23043952a8f9bb5c8f 
    patches.diff-strings:
      - !b!literal-include patches/nonpersistent_voxel_layer-force-melodic-api.patch

- name: melodic-lr
  variables:
    branch: melodic-devel
    github.user: leroyr
